<p>
  <mat-toolbar color="primary">
    <span>Utally Login</span>
  </mat-toolbar>
</p>

<div class="login-main-div">
  <form (ngSubmit)="onSubmit()">
    <mat-card class="login-card">
      <mat-card-header>
        <mat-card-title>Login</mat-card-title>
        <mat-card-subtitle>Please select the space and enter the user credentials.</mat-card-subtitle>
      </mat-card-header>
      <mat-card-content>
        <p>
          <mat-form-field class="login-input-field">
            <mat-label>Space</mat-label>
            <mat-select [formControl]="spaceControl" required>
              <mat-option value="USER">User</mat-option>
              <mat-option value="OPERATOR">Operator</mat-option>
              <mat-option value="ADMIN">Admin</mat-option>
              <mat-option value="PARTY">Party</mat-option>
            </mat-select>
            <mat-hint>Select space</mat-hint>
            <mat-error *ngIf="spaceControl.invalid">You must select a space.</mat-error>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field class="login-input-field">
            <mat-label>Username</mat-label>
            <input matInput placeholder="Username" [formControl]="usernameControl" name="username" required>
            <fa-icon [icon]="faUser" class="formIcon" matSuffix></fa-icon>
            <mat-hint>Configured in utally.properties</mat-hint>
            <mat-error *ngIf="usernameControl.invalid">You must enter a username.</mat-error>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field class="login-input-field">
            <mat-label>Password</mat-label>
            <input matInput placeholder="Password" [formControl]="passwordControl" [type]="hide ? 'password' : 'text'" name="password" required>
            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'"
                    [attr.aria-pressed]="hide">
              <fa-icon [icon]="hide ? faEyeSlash : faEye" class="formIcon"></fa-icon>
            </button>
            <mat-hint>Configured in utally.properties</mat-hint>
            <mat-error *ngIf="passwordControl.invalid">You must enter a password.</mat-error>
          </mat-form-field>
        </p>
        <p>
          <mat-form-field appearance="fill" class="login-input-field">
            <mat-label>PIN (optional)</mat-label>
            <input matInput placeholder="PIN" name="pin" [formControl]="pinControl">
            <fa-icon [icon]="faHashtag" class="formIcon" matSuffix></fa-icon>
            <mat-hint>Optional PIN to prevent user from logout</mat-hint>
          </mat-form-field>
        </p>
      </mat-card-content>
      <mat-card-actions align="end">
        <button mat-raised-button color="primary" type="submit">LOGIN</button>
      </mat-card-actions>
    </mat-card>
  </form>
</div>
